{% extends "catalog/base.html" %}

{% block title %} Create an account {% endblock %}
{% block main %}

    <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-12 col-md-8 col-lg-6 col-xl-5">
            <div class="card shadow-2-strong" style="border-radius: 1rem;">
                <div class="card-body p-5 text-center">
                    <h3 class="mb-5">Create an account </h3>
                    <p>Please, sign up using the following form:</p>
                    <form method="post">
                        {% csrf_token %}
                        <div class="form-outline mb-4">
                            <input type="text" class="form-control form-control-lg" id="username"
                                   name="username"/>
                            <label class="form-label" for="1"> Username </label>
                        </div>
                        <div class="form-outline mb-4">
                            <input type="text" class="form-control form-control-lg" id="first_name"
                                   name="first_name"/>
                            <label class="form-label" for="first_name"> First name </label>
                        </div>
                        <div class="form-outline mb-4">
                            <input type="text" class="form-control form-control-lg" id="email"
                                   name="email"/>
                            <label class="form-label" for="email"> Email </label>
                        </div>
                        <div class="form-outline mb-4">
                            <input type="password" class="form-control form-control-lg" id="password"
                                   name="password"/>
                            <label class="form-label" for="password"> Password: </label>
                        </div>
                        <div class="form-outline mb-4">
                            <input type="password" id="Repeat password:" class="form-control form-control-lg"
                                   name="password2"/>
                            <label class="form-label" for="Repeat password:"> Repeat password:</label>
                        </div>
                        <button class="btn btn-primary btn-lg btn-block" type="submit"
                                value="Create my account">Create account
                        </button>
                        <hr class="my-4">
                    </form>
                </div>
            </div>
        </div>
    </div>

{% endblock %}